/*
                            Configuration List
 */

#ifndef CFGLIST_H
#define CFGLIST_H


/*
 *	Configuration item parameter names:
 */
#define CFG_PARM_VERSION_MAJOR			"VersionMajor"
#define CFG_PARM_VERSION_MINOR			"VersionMinor"
#define CFG_PARM_VERSION_RELEASE		"VersionRelease"

#define CFG_PARM_DB_LOCATION			"DBLocation"
#define CFG_PARM_DB_LAST_UPDATE			"DBLastUpdate"

#define CFG_PARM_SCAN_CPU_PRIORITY		"ScanCPUPriority"
#define CFG_PARM_SCAN_REPORT_ALL_OBJECTS	"ScanReportAllObjects"
#define CFG_PARM_SCAN_MAX_FILES			"ScanMaxFiles"
#define CFG_PARM_SCAN_MAX_FILE_SIZE		"ScanMaxFileSize"
#define CFG_PARM_SCAN_MAX_RECURSIONS		"ScanMaxRecursions"
#define CFG_PARM_SCAN_MAX_MAIL_RECURSIONS	"ScanMaxMailRecursions"
#define CFG_PARM_SCAN_MAX_COMPRESSION_RATIO	"ScanMaxCompressionRatio"

#define CFG_PARM_WIN_X				"WinX"
#define CFG_PARM_WIN_Y				"WinY"
#define CFG_PARM_WIN_SHOW_TOOL_BAR		"WinShowToolBar"
#define CFG_PARM_WIN_SHOW_STATUS_BAR		"WinShowStatusBar"


/*
 *	Configuration List:
 */
#define CFG_LIST	{					\
{ CFG_ITEM_TYPE_INT32,	CFG_PARM_VERSION_MAJOR, NULL },		\
{ CFG_ITEM_TYPE_INT32,	CFG_PARM_VERSION_MINOR, NULL },		\
{ CFG_ITEM_TYPE_INT32,	CFG_PARM_VERSION_RELEASE, NULL },	\
								\
{ CFG_ITEM_TYPE_STRING,	CFG_PARM_DB_LOCATION, NULL },		\
{ CFG_ITEM_TYPE_UINT64,	CFG_PARM_DB_LAST_UPDATE, NULL },	\
								\
{ CFG_ITEM_TYPE_INT32,	CFG_PARM_SCAN_CPU_PRIORITY, NULL },	\
{ CFG_ITEM_TYPE_UINT8,	CFG_PARM_SCAN_REPORT_ALL_OBJECTS, NULL }, \
{ CFG_ITEM_TYPE_UINT64,	CFG_PARM_SCAN_MAX_FILES, NULL },	\
{ CFG_ITEM_TYPE_UINT64,	CFG_PARM_SCAN_MAX_FILE_SIZE, NULL },	\
{ CFG_ITEM_TYPE_UINT64,	CFG_PARM_SCAN_MAX_RECURSIONS, NULL },	\
{ CFG_ITEM_TYPE_UINT64,	CFG_PARM_SCAN_MAX_MAIL_RECURSIONS, NULL }, \
{ CFG_ITEM_TYPE_UINT64,	CFG_PARM_SCAN_MAX_COMPRESSION_RATIO, NULL }, \
								\
{ CFG_ITEM_TYPE_INT32,	CFG_PARM_WIN_X, NULL },			\
{ CFG_ITEM_TYPE_INT32,	CFG_PARM_WIN_Y, NULL },			\
{ CFG_ITEM_TYPE_UINT8,	CFG_PARM_WIN_SHOW_TOOL_BAR, NULL },	\
{ CFG_ITEM_TYPE_UINT8,	CFG_PARM_WIN_SHOW_STATUS_BAR, NULL },	\
								\
/* Last item must be all 0's. */				\
{ CFG_ITEM_TYPE_NONE, NULL, NULL }				\
}


#endif	/* CFGLIST_H */
